Package org.apache.sling.testing.clients.interceptors

# Class StickyCookieHolder

java.lang.Object
org.apache.sling.testing.clients.interceptors.StickyCookieHolder

public class StickyCookieHolder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COOKIE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`StickyCookieHolder()`

## Method Summary

Modifier and Type
Method
Description
`static org.apache.http.cookie.Cookie`
`getTestStickySessionCookie()`
`static void`
`remove()`
`static void`
`setTestStickySessionCookie(org.apache.http.cookie.Cookie stickySessionCookie)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COOKIE_NAME

public static final String COOKIE_NAME

## Constructor Details

### StickyCookieHolder

public StickyCookieHolder()

## Method Details

### getTestStickySessionCookie

public static org.apache.http.cookie.Cookie getTestStickySessionCookie()

### setTestStickySessionCookie

public static void setTestStickySessionCookie(org.apache.http.cookie.Cookie stickySessionCookie)

### remove

public static void remove()